For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Docs

Libre Public API servers are provided by validators and apps.

Please note that regardless of what the swagger docs below say there is a general rule we recommend for using /v1/ and /v2/ paths:

/v1 use POST

/v2 use GET

There is a helpful doc outlining API Methods here - (built by validator Cryptobloks)

API Service Health Report

get
Responses
200

Default Response

No content

get/v2/health
200

Default Response

No content

fetch abi at specific block

get

fetch contract abi at specific block

Query parameters
contractstring · min: 1 · max: 12Required

contract account

blockinteger · min: 1Optional

target block

fetchbooleanOptional

should fetch the ABI

Responses
200

Default Response

No content

get/v2/history/get_abi_snapshot
200

Default Response

No content

get root actions

get

get actions based on notified account. this endpoint also accepts generic filters based on indexed fields (e.g. act.authorization.actor=eosio or act.name=delegatebw), if included they will be combined with a AND operator

Query parameters
limitinteger · min: 1Optional

limit of [n] results per page

skipintegerOptional

skip [n] results

accountstring · min: 1 · max: 12Optional

notified account

trackstringOptional

total results to track (count) [number or true]

filterstring · min: 3Optional

code:name filter

sortstring · enumOptional

sort direction

Possible values:
afterstringOptional

filter after specified date (ISO8601)

beforestringOptional

filter before specified date (ISO8601)

simplebooleanOptional

simplified output mode

hot_onlybooleanOptional

search only the latest hot index

noBinarybooleanOptional

exclude large binary data

checkLibbooleanOptional

perform reversibility check

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
get/v2/history/get_actions
200

Default Response

get created accounts

get

get all accounts created by one creator

Query parameters
limitinteger · min: 1Optional

limit of [n] results per page

skipintegerOptional

skip [n] results

accountstring · min: 1 · max: 12Required

creator account

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
query_timenumberOptional
get/v2/history/get_created_accounts
200

Default Response

get account creator

get

get account creator

Query parameters
accountstring · min: 1 · max: 12Required

created account

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
accountstringOptional
creatorstringOptional
timestampstringOptional
block_numintegerOptional
trx_idstringOptional
indirect_creatorstringOptional
get/v2/history/get_creator
200

Default Response

get state deltas

get

get state deltas

Query parameters
limitinteger · min: 1Optional

limit of [n] results per page

skipintegerOptional

skip [n] results

codestringOptional

contract account

scopestringOptional

table scope

tablestringOptional

table name

payerstringOptional

payer account

afterstringOptional

filter after specified date (ISO8601)

beforestringOptional

filter before specified date (ISO8601)

presentnumberOptional

delta present flag

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
get/v2/history/get_deltas
200

Default Response

get producer schedule by version

get

get producer schedule by version

Query parameters
producerstringOptional

search by producer

keystringOptional

search by signing key

afterstringOptional

filter after specified date (ISO8601)

beforestringOptional

filter before specified date (ISO8601)

modestringOptional

search mode (activated or proposed)

versioninteger · min: 1Optional

schedule version

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
timestampstringOptional
block_numnumberOptional
proposed_block_numnumberOptional
versionnumberOptional
get/v2/history/get_schedule
200

Default Response

get transaction by id

get

get all actions belonging to the same transaction

Query parameters
idstringRequired

transaction id

block_hintintegerOptional

block hint to speed up tx recovery

Responses
200

Default Response

No content

get/v2/history/get_transaction
200

Default Response

No content

get account summary

get

get account data

Query parameters
limitinteger · min: 1Optional

limit of [n] results per page

skipintegerOptional

skip [n] results

accountstring · min: 1 · max: 12Required

account name

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
total_actionsnumberOptional
get/v2/state/get_account
200

Default Response

get accounts by public key

get

get accounts by public key

Query parameters
limitinteger · min: 1Optional

limit of [n] results per page

skipintegerOptional

skip [n] results

public_keystringRequired

public key

detailsbooleanOptional

include permission details

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
public_keystringOptional
legacy_public_keystringOptional
account_namesstring[]Optional
get/v2/state/get_key_accounts
200

Default Response

get accounts by public key

post

get accounts by public key

Body
public_keystringRequired

public key

Responses
200

Default Response

application/json
account_namesstring[]Optional
post/v2/state/get_key_accounts
200

Default Response

get

get permission links

Query parameters
accountstringOptional

account name

codestringOptional

contract name

actionstringOptional

method name

permissionstringOptional

permission name

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
get/v2/state/get_links
200

Default Response

get proposals

get

get proposals

Query parameters
proposerstringOptional

filter by proposer

proposalstringOptional

filter by proposal name

accountstringOptional

filter by either requested or provided account

requestedstringOptional

filter by requested account

providedstringOptional

filter by provided account

executedbooleanOptional

filter by execution status

trackstringOptional

total results to track (count) [number or true]

skipintegerOptional

skip [n] actions (pagination)

limitinteger · min: 1Optional

limit of [n] actions per page

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
errorstringOptional

Error message when a condition fails (MongoDB disabled or feature disabled)

get/v2/state/get_proposals
200

Default Response

get all tokens

get

get tokens from an account

Query parameters
limitinteger · min: 1Optional

limit of [n] results per page

skipintegerOptional

skip [n] results

accountstring · min: 1 · max: 12Required

account name

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
accountstringOptional
get/v2/state/get_tokens
200

Default Response

get voters

get

get voters

Query parameters
limitinteger · min: 1Optional

limit of [n] results per page

skipintegerOptional

skip [n] results

producerstring · min: 1Optional

filter by voted producer (comma separated)

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
voter_countintegerOptional
errorstringOptional

Error message when a condition fails (MongoDB disabled or feature disabled)

get/v2/state/get_voters
200

Default Response

get missed blocks

get

get missed blocks

Query parameters
producerstringOptional

filter by producer

afterstringOptional

filter after specified date (ISO8601)

beforestringOptional

filter before specified date (ISO8601)

min_blocksinteger · min: 1Optional

min. blocks threshold

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
get/v2/stats/get_missed_blocks
200

Default Response

get actions

post

legacy get actions query

Body
account_namestring · min: 1 · max: 12Optional

notified account

posintegerOptional

action position (pagination)

offsetintegerOptional

limit of [n] actions per page

filterstring · min: 3Optional

code:name filter

sortstring · enumOptional

sort direction

Possible values:
afterstring · date-timeOptional

filter after specified date (ISO8601)

beforestring · date-timeOptional

filter before specified date (ISO8601)

parentintegerOptional

filter by parent global sequence

Responses
200

Default Response

application/json
query_timenumberOptional
last_irreversible_blocknumberOptional
post/v1/history/get_actions
200

Default Response

get controlled accounts by controlling accounts

post

get controlled accounts by controlling accounts

Body
controlling_accountstringRequired

controlling account

Responses
200

Default Response

application/json
controlled_accountsstring[]Optional
post/v1/history/get_controlled_accounts
200

Default Response

get accounts by public key

post

get accounts by public key

Body
public_keystringRequired

public key

Responses
200

Default Response

application/json
account_namesstring[]Optional
post/v1/history/get_key_accounts
200

Default Response

legacy get transaction by id

post

get all actions belonging to the same transaction

Body
idstringRequired

transaction id

block_num_hintintegerOptional

block number hint

Responses
200

Default Response

No content

post/v1/history/get_transaction
200

Default Response

No content

get block traces

post

get block traces

Body
block_numintegerOptional

block number

block_idstringOptional

block id

Responses
200

Default Response

application/json
query_time_msnumberOptional
cachedbooleanOptional
hot_onlybooleanOptional
libnumberOptional
last_indexed_blocknumberOptional
last_indexed_block_timestringOptional
idstringOptional
numberintegerOptional
previous_idstringOptional
statusstringOptional
timestampstringOptional
producerstringOptional
post/v1/trace_api/get_block
200

Default Response

Returns an object containing rows from the specified table.

post

Returns an object containing rows from the specified table.

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/abi_bin_to_json
200

Default Response

No content

Convert JSON object to binary

post

Convert JSON object to binary

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/abi_json_to_bin
200

Default Response

No content

Retrieves the ABI for a contract based on its account name

post

Retrieves the ABI for a contract based on its account name

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_abi
200

Default Response

No content

Returns an object containing various details about a specific account on the blockchain.

post

Returns an object containing various details about a specific account on the blockchain.

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_account
200

Default Response

No content

Retrieves the activated protocol features for producer node

post

Retrieves the activated protocol features for producer node

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_activated_protocol_features
200

Default Response

No content

Returns an object containing various details about a specific block on the blockchain.

post

Returns an object containing various details about a specific block on the blockchain.

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_block
200

Default Response

No content

Retrieves the block header state

post

Retrieves the block header state

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_block_header_state
200

Default Response

No content

Retrieves contract code

post

Retrieves contract code

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_code
200

Default Response

No content

Retrieves the current balance

post

Retrieves the current balance

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_currency_balance
200

Default Response

No content

Retrieves currency stats

post

Retrieves currency stats

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_currency_stats
200

Default Response

No content

Returns an object containing various details about the blockchain.

post

Returns an object containing various details about the blockchain.

Body
anyOptional
Responses
200

Default Response

No content

post/v1/chain/get_info
200

Default Response

No content

Retrieves producers list

post

Retrieves producers list

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_producers
200

Default Response

No content

Retrieves raw ABI for a contract based on account name

post

Retrieves raw ABI for a contract based on account name

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_raw_abi
200

Default Response

No content

Retrieves raw code and ABI for a contract based on account name

post

Retrieves raw code and ABI for a contract based on account name

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_raw_code_and_abi
200

Default Response

No content

Retrieves table scope

post

Retrieves table scope

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_table_by_scope
200

Default Response

No content

Returns an object containing rows from the specified table.

post

Returns an object containing rows from the specified table.

Body
or
stringOptional
Responses
200

Default Response

No content

post/v1/chain/get_table_rows
200

Default Response

No content

This method expects a transaction in JSON format and will attempt to apply it to the blockchain.

post

This method expects a transaction in JSON format and will attempt to apply it to the blockchain.

Body
signaturesstring[]Optional

array of signatures required to authorize transaction

compressionbooleanOptional

Compression used, usually false

packed_context_free_datastringOptional

json to hex

packed_trxstringOptional

Transaction object json to hex

Responses
200

Default Response

No content

post/v1/chain/push_transaction
200

Default Response

No content

This method expects a transaction in JSON format and will attempt to apply it to the blockchain.

post

This method expects a transaction in JSON format and will attempt to apply it to the blockchain.

Bodyobject[]
expirationstringRequired

Time that transaction must be confirmed by.

Pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}$
ref_block_numintegerRequired
ref_block_prefixintegerRequired
max_net_usage_wordsany ofRequired

Integer or String

stringOptionalPattern: ^\d+$
or
integerOptional
max_cpu_usage_msany ofRequired

Integer or String

stringOptionalPattern: ^\d+$
or
integerOptional
delay_secintegerRequired
Responses
200

Default Response

No content

post/v1/chain/push_transactions
200

Default Response

No content

This method expects a transaction in JSON format and will attempt to apply it to the blockchain.

post

This method expects a transaction in JSON format and will attempt to apply it to the blockchain.

Body
signaturesstring[]Optional

array of signatures required to authorize transaction

compressionbooleanOptional

Compression used, usually false

packed_context_free_datastringOptional

json to hex

packed_trxstringOptional

Transaction object json to hex

Responses
200

Default Response

No content

post/v1/chain/send_transaction
200

Default Response

No content

Last updated